﻿<form id="itemForm">
    @Html.AntiForgeryToken()
    <input type="hidden" id="entidad" value="Genre" />

    <div>
        <label class="fw-bold">Id</label>
        <span id="id"></span>
    </div>
    <div>
        <label class="fw-bold">Nombre</label>
        <input id="nombre" type="text" class="form-control custom-width-input" />
    </div>
    <div>
        <button type="button" onclick="setData()" class="btn btn-primary">Actualizar</button>
        <button type="button" onclick="cancelar()" class="btn btn-secundary">Cancelar</button>
    </div>
</form>

<script src="~/js/crud/edit.js"></script>
<script>
    function setData() {
        const id = document.getElementById("id").textContent;
        const nombre = document.getElementById('nombre').value;

        const jsonData = {
            id: id,
            nombre: nombre
        };

        guardar(jsonData);
    }

    function fillData(data) {
        document.getElementById("id").textContent = data.id;
        document.getElementById("nombre").value = data.nombre;
    }

    cargarDatos();
</script>
